.blog-posts {
  padding-left: 0;
  padding-right: 0;

  @include media("sm") {
    padding-left: 5%;
    padding-right: 5%;
  }

  > .section-title {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 4rem;
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .section-title .title {
    font-size: var(--font-size-big);
    margin-bottom: 0;
  }

  > .swiper {
    padding-left: 5%;
    padding-right: 5%;

    @include media("sm") {
      padding-left: 0;
      padding-right: 0;
    }
  }

  > .swiper .swiper-slide { height: auto; }

  > .swiper .swiper-slide.-imageless {
    .content {
      display: flex;
      flex-direction: column;
      justify-content: center;
    }
  }

  > .swiper .swiper-slide .image {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;

    &::after { padding-bottom: 56.25%; }
  }

  > .swiper img { transition: var(--transition); }

  > .swiper .swiper-slide:hover img {
    @include media("md") { transform: scale(1.1); }
  }

  > .swiper .swiper-slide .content {
    background-color: var(--gray-1);
    padding: 1.6rem;
    padding-bottom: 2.4rem;
    height: 100%;

    h1, h2, h3, h4 {
      font-weight: 400;
      color: var(--gray-4);
      font-size: var(--font-size-base);
      line-height: 2rem;
    }
  }

  > .swiper .infos {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-bottom: 1.6rem;
    // fonts
    font-size: var(--font-size-small);
    text-transform: uppercase;
    color: var(--gray-3);
    line-height: 1.8rem;
    letter-spacing: 0.3px;
  }

  > .swiper .text { width: 100%; }

  > .swiper .description {
    font-size: var(--font-size-small);
    margin-top: 1.6rem;
    color: var(--gray-3);
  }

  > .swiper .link-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
  }

  > .swiper-pagination {
    position: static !important;
    margin: 3.2rem auto 0;
    width: 90% !important;

    @include media("sm") { width: 100% !important; }
  }
}
